Add parameters

Base URL
https://{kibana_url}
  • POST /api/synthetics/params
  • POST /s/{space_id}/api/synthetics/params
Auth

Add one or more parameters to the Synthetics app.

You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

Required privileges

Privileges uptime-read and uptime-write

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:
{} Single parameter[]
description string · max length: 4096

A description of the parameter.

key string · min length: 1 · max length: 1024 required

The key of the parameter.

share_across_spaces boolean

Specify whether the parameter should be shared across spaces.

tags string[] · max items: 100

An array of tags to categorize the parameter.

value string · min length: 1 · max length: 1000000 required

The value associated with the parameter.

Responses

A successful response.

application/json
One of:
{} Post parameter response[]
description string

A description of the parameter.

id string

The unique identifier for the parameter.

key string

The parameter key.

share_across_spaces boolean

Indicates whether the parameter is shared across spaces.

tags string[]

An array of tags associated with the parameter.

value string

The value associated with the parameter.

409

A parameter with the same key already exists in the space.

Base URL
https://{kibana_url}